Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.api
Interface KnowledgeDataService

All Known Implementing Classes:
  KnowledgeDataServiceImpl

    public interface KnowledgeDataService

Method Summary
`Collection<ProcessDesc>` | `getProcesses()`
`Collection<ProcessDesc>` | `getProcessesByDomainName(String sessionId)`
`Collection<ProcessDesc>` | `getProcessesByFilter(String filter)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceActiveNodes(int sessionId, long processId)`
`ProcessInstanceDesc` | `getProcessInstanceById(long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceCompletedNodes(int sessionId, long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceFullHistory(int sessionId, long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceHistory(int sessionId, long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceHistory(int sessionId, long processId, boolean completed)`
`Collection<ProcessInstanceDesc>` | `getProcessInstances()`
`Collection<ProcessInstanceDesc>` | `getProcessInstances(List<Integer> states, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessDefinition(String processDefId)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessId(List<Integer> states, String processId, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessName(List<Integer> states, String processName, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesBySessionId(String sessionId)`
`Collection<VariableStateDesc>` | `getVariableHistory(long processInstanceId, String variableId)`
`Collection<VariableStateDesc>` | `getVariablesCurrentState(long processInstanceId)`

Method Detail

### getProcessInstances

    Collection<ProcessInstanceDesc> getProcessInstances()

### getProcessInstances

    Collection<ProcessInstanceDesc> getProcessInstances(List<Integer> states,
                                                        String initiator)

### getProcessInstancesByProcessId

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessId(List<Integer> states,
                                                                   String processId,
                                                                   String initiator)

### getProcessInstancesByProcessName

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessName(List<Integer> states,
                                                                     String processName,
                                                                     String initiator)

### getProcessInstancesBySessionId

    Collection<ProcessInstanceDesc> getProcessInstancesBySessionId(String sessionId)

### getProcessesByDomainName

    Collection<ProcessDesc> getProcessesByDomainName(String sessionId)

### getProcessesByFilter

    Collection<ProcessDesc> getProcessesByFilter(String filter)

### getProcesses

    Collection<ProcessDesc> getProcesses()

### getProcessInstanceById

    ProcessInstanceDesc getProcessInstanceById(long processId)

### getProcessInstanceHistory

    Collection<NodeInstanceDesc> getProcessInstanceHistory(int sessionId,
                                                           long processId)

### getProcessInstanceHistory

    Collection<NodeInstanceDesc> getProcessInstanceHistory(int sessionId,
                                                           long processId,
                                                           boolean completed)

### getProcessInstanceFullHistory

    Collection<NodeInstanceDesc> getProcessInstanceFullHistory(int sessionId,
                                                               long processId)

### getProcessInstanceActiveNodes

    Collection<NodeInstanceDesc> getProcessInstanceActiveNodes(int sessionId,
                                                               long processId)

### getProcessInstanceCompletedNodes

    Collection<NodeInstanceDesc> getProcessInstanceCompletedNodes(int sessionId,
                                                                  long processId)

### getVariablesCurrentState

    Collection<VariableStateDesc> getVariablesCurrentState(long processInstanceId)

### getVariableHistory

    Collection<VariableStateDesc> getVariableHistory(long processInstanceId,
                                                     String variableId)

### getProcessInstancesByProcessDefinition

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessDefinition(String processDefId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.